#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{ long long x,n,s,x1,s1;
cin>>n;
x=n;
s=0;
x1=n;
s1=0;
while(x1>0)
{
    x=x1;
    s=0;
while(x>0)
{
x=x/10;
s++;
}
x=1;
for(int i=1;i<s;i++)
x=x*10;
if(x1>=x*5)
x1=x1-x*5;
else
if(x1>=x*2)
x1=x1-x*2;
else
if(x1>=x)
x1=x1-x;
s1++;
}
cout<<s1;
return 0;
}